apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: home-node-all
  namespace: home
spec:
  rules:
  - host: messager.home.base
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: messager
            port:
              number: 80
  - host: ui.home.base
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: ui
            port:
              number: 80
  ingressClassName: nginx

---

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: app-node-all
  namespace: app
spec:
  rules:
  - host: appsmith.home.base
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: appsmith
            port:
              number: 80
  ingressClassName: nginx
